local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

function DRWFrame_OnLoad()

	local afkListener = CreateFrame("Frame");
	afkListener:RegisterEvent("CHAT_MSG_SYSTEM");
	afkListener:SetScript("OnEvent",function(self, event, msg)
		if (msg:find(L["You are now Away:"]) ~= nil) then
			DRWConfig.AFKMessage = strsub(msg,msg:find(L["You are now Away:"])+18);
		end
	end)

	-- Create SavedVariables if they don't exist already
	if DRWConfig == "" or DRWConfig == nil then
		DRWConfig = {
			["SendMsg"] = 'ON',
			["AllDuels"] = 'Sorry, but I do not duel.',
			["AFKDuel"] = 'I am currently AFK.',
			["DNDDuel"] = 'Sorry, but I am busy at the moment.',
			["HLDuel"] = 'I am currently experiencing a lot of lag.',
			["LowFPS"] = 'I am currently experiencing a low framerate.',
			["OptionsWindow"] = 'HIDDEN',
			["AFKMessage"] = 'AFK.',
			["PetBattle"] = 'Sorry, but I am not into Pet Battles.',
			["WhisperBlacklist"] = 'OFF',
			["BLWhisperMsg"] = 'I am not accepting duels from you.',
			["Branding"] = 'ON'
		}
	end
	
	DRWConfig.OptionsWindow = 'HIDDEN'
	
	DRWFrame:RegisterEvent("ADDON_LOADED")
	DRWFrame:RegisterEvent("VARIABLES_LOADED")
	DRWFrame:RegisterEvent("CHAT_MSG_RESTRICTED")
		
	-- already hidden by default, but just in case...
	DRWFrame:Hide()
end

function afkremember_command(msg, editbox)

	if msg == "" or msg == nil then
		DRWConfig.AFKMessage = 'AFK.'
		SendChatMessage("AFK.", "AFK")
	else
		DRWConfig.AFKMessage = msg
		SendChatMessage(msg, "AFK")
	end

end

function DRWFrame_OnEvent(self, event, arg1)

if event == "ADDON_LOADED" and arg1 == "DuelResponse_Whisper" then
	if DRWConfig.ShowLoadMessage == "ON" then
		-- Show these messages in chat when the addon is loaded
		DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse_Whisper"] .."]|r v" .. GetAddOnMetadata("DuelResponse_Whisper", "Version") .. L[" loaded successfully."])
	else
		return
	end
	
	DRWConfig.OptionsWindow = 'HIDDEN'
elseif event == "VARIABLES_LOADED" then
	if DRWConfig.HLDuel == "" or DRWConfig.HLDuel == nil then
		DRWConfig.HLDuel = 'I am currently experiencing a lot of lag.'
	end

	if DRWConfig.AFKMessage == "" or DRWConfig.AFKMessage == nil then
		DRWConfig.AFKMessage = 'AFK.'
	end
	
	if DRWConfig.LowFPS == "" or DRWConfig.LowFPS == nil then
		DRWConfig.LowFPS = 'I am currently experiencing a low framerate.'
	end
	
	if DRWConfig.PetBattle == "" or DRWConfig.PetBattle == nil then
		DRWConfig.PetBattle = 'Sorry, but I am not into Pet Battles.'
	end
	
	if DRWConfig.WhisperBlacklist == "" or DRWConfig.WhisperBlacklist == nil then
		DRWConfig.WhisperBlacklist = 'OFF'
	end
	
	if DRWConfig.BLWhisperMsg == "" or DRWConfig.BLWhisperMsg == nil then
		DRWConfig.BLWhisperMsg = 'I am not accepting duels from you.'
	end
		
	if DRWConfig.Branding == "" or DRWConfig.Branding == nil then
		DRWConfig.Branding = 'ON'
	end
	
	DRWConfig.OptionsWindow = 'HIDDEN'
elseif event == "CHAT_MSG_RESTRICTED" then
		if DRWConfig.SendMsg == "ON" then
			DRWConfig.SendMsg = 'OFF'
			DEFAULT_CHAT_FRAME:AddMessage("|cFF00FFFF[" .. L["DuelResponse_Whisper"] .."]|r " .. L["Whisper sending has been disabled because you are on a Starter Edition account."])
		else
			return
		end
end

end